body {
    font-family: Tahoma, sans-serif;
    margin: 0;
    padding: 0;
    background: url(imgs/background.jpg) no-repeat center center/cover; 
    /* Image by rawpixel.com on Freepik */
}

header {
    background-color: maroon;
    color: white;
    padding: 32px 0; 
    position: fixed;
    width: 100%;
    top: 0;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.6); 
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0;
    align-items: center;
    padding: 0 40px;
}

nav ul li {
    margin: 0 10px; 
    font-size: large;
    text-align: center;
}

nav ul li a {
    color: white;
    text-decoration: none;
}

nav ul li button {
    color: white;
    text-decoration: none;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
}

nav ul li.brand {
    margin-right: auto;
    margin-left: 20px;
    font-weight: bold;
    font-size: x-large;
    text-align: left;

}
.brand a {
    margin-right: 20px;
}

nav ul li button {
    padding: 8px 16px;
    background-color: #800000;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.3s;
    font-size: 16px;
    color: white;
    border: 2px solid white;
}

nav ul li button:hover {
    background-color: #a00000;
    transform: scale(1.1);
}

nav ul li.divider {
    width: 1px;
    height: 24px;
    background-color: white;
    margin: 0 8px;
}

.intro {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
    margin-bottom: -150px;
}

.intro-content {
    display: flex;
    align-items: center;
    max-width: 90%;
}
.about-text h1 {
    font-style: italic;
    color: maroon;
    font-size: 50px;
    margin-bottom: 15px;
    text-align: center;
}
.about-text h2 {
    color: black;
    margin-bottom: 20px;
    text-align: center;
}
.about-text {
    flex: 1;
    margin-right: 20px;
    color: white;
    font-size: large;
    line-height: 1.5;
}

.links{
    display: flex;
    justify-content: end;
    margin-top: 20px;
}

.about {
    margin-left: 70px;
    margin-right: 70px;
    padding-bottom: 50px;
}

.about h2 {
    margin-top: 45px;
}

.about img {
    margin-top: -40px;
    margin-bottom: 50px;
}

.about-rectangle {
    background-color: maroon;
    border-radius: 30px;
    padding: 20px;
}

.profile-pic {
    padding-left: 50px;
    width: 500px;
    height: 500px;
    object-fit: cover;
}

.profile-pic2 {
    display: none;
}

h2 {
    color: maroon;
    font-size: 30px;
    margin-bottom: 25px;
    text-align: center;
    
}

h3 {
    color: maroon;
    padding-bottom:  40px;
    padding-right: 20px;
    text-align: center;
}

p {
    color: white;
    line-height: 1.5;
}
 
.icon-rectangle {
   display: flex;
   width: 100%;
   justify-content: center;
   align-items: center;
   margin-bottom: 20px;
} 

img.linkedin{
    margin-top: 10px;
    background-color: maroon;
    padding: 20px;
    border-radius: 20px;
}

a {
    margin-bottom: -40px;
    text-decoration: none;
}

/* Technical Projects */
.project-landing {
    margin-top: 120px;
    height: 100%;
}
.project-landing h1 {
    padding-top: 25px;
    text-align: center;
    color: maroon;
    font-style: italic;
    font-size: 50px;
    text-shadow: 0 0 25px maroon;
    margin-bottom: 0px;
}
.projects-grid {
    justify-content: center;
    align-items: center;
    display: grid;
    gap: 20px;
    margin-top: 20px;
    padding: 20px;

}
.projects {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: first baseline; 
}
.project {
    background-color: maroon;
    padding: 20px;
    border-radius: 10px;
    text-align: center; 
}

.project img {
    width: 100%;
    height: 100%;
}
.project h2 {
    color:  white;
    font-weight: bold;
    text-decoration: underline;
    text-align: center;
}

.project a {
    color: white;
    text-decoration: underline;
}

/* Qualifications */
.qualifications-landing {
    margin-top: 120px;
    height: 100%;
}
.qualifications-landing h1 {
    padding-top: 25px;
    text-align: center;
    color: maroon;
    font-style: italic;
    font-size: 50px;
    text-shadow: 0 0 25px maroon;
}

.qualifications-landing h2 {
    text-decoration: underline;
}

.resume {
    display: flex;
    justify-content: center;
    align-items: center;
}

.skills-rectangle {
    background-color: maroon;
    border-radius: 30px;
    padding: 30px;
    margin: 20px;
}

/* Services */
.service-landing {
    margin-top: 120px;
    height: 100%;
}

.service-landing h1 {
    padding-top: 25px;
    text-align: center;
    color: maroon;
    font-style: italic;
    font-size: 50px;
    text-shadow: 0 0 25px maroon;
}

.services-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.services-about {
    text-align: center;
    align-items: center;
    justify-content: center;
}

.skills-rectangle h2 {
    color:  white;
    font-weight: bold;
    text-decoration: underline;
    text-align: center;
}

.skills-rectangle p {
   flex: 1;
   font-size: large;
}

.skills-rectangle img {
    max-width: 600px;
    border-radius: 10px;
}

.skills-rectangle a {
    color: white; 
    font-style: oblique;
    text-decoration: none;
    transition: 0.4s ease;
}

.skills-rectangle a:hover {
    transition: 0.2s ease;
    text-decoration: underline; 
    font-weight: bold;
}
